## calls-best-match calls-best-match |

## Functions

CallsBestMatch * | calls_best_match_new ()
gboolean | calls_best_match_has_individual ()
gboolean | calls_best_match_is_favourite ()
const char * | calls_best_match_get_phone_number ()
void | calls_best_match_set_phone_number ()
const char * | calls_best_match_get_name ()
GdkTexture * | calls_best_match_get_avatar ()
const char * | calls_best_match_get_primary_info ()
const char * | calls_best_match_get_secondary_info ()

## Properties

GdkTexture * | avatar | Read
char * | country-code | Read / Write / Construct
gboolean | has-individual | Read
char * | name | Read
char * | phone-number | Read / Write
char * | primary-info | Read
char * | secondary-info | Read

## Types and Values

#define | CALLS_TYPE_BEST_MATCH
| CallsBestMatch

## Object Hierarchy

        GObject
        ╰── CallsBestMatch

## Description

## Functions

### calls_best_match_new ()

    CallsBestMatch *
    calls_best_match_new (const char *phone_number);

#### Parameters

number | The number to use for contact matching |

#### Returns

A new CallsBestMatch.

[transfer full]

### calls_best_match_has_individual ()

    gboolean
    calls_best_match_has_individual (CallsBestMatch *self);

#### Parameters

self | A CallsBestMatch |

#### Returns

`TRUE` if a contact was matched, `FALSE` otherwise

### calls_best_match_is_favourite ()

    gboolean
    calls_best_match_is_favourite (CallsBestMatch *self);

#### Parameters

self | A CallsBestMatch |

#### Returns

`TRUE` if there's a matched individual and the individual is marked as a favourite, `FALSE` otherwise.

### calls_best_match_get_phone_number ()

    const char *
    calls_best_match_get_phone_number (CallsBestMatch *self);

#### Parameters

self | A CallsBestMatch |

#### Returns

The phone number of `self` , or `NULL` if unknown.

[nullable]

### calls_best_match_set_phone_number ()

    void
    calls_best_match_set_phone_number (CallsBestMatch *self,
                                       const char *phone_number);

Set the `phone_number` to use for matching.

#### Parameters

self | A CallsBestMatch |
phone_number | The phone number. | [nullable]

### calls_best_match_get_name ()

    const char *
    calls_best_match_get_name (CallsBestMatch *self);

#### Parameters

self | A CallsBestMatch |

#### Returns

The name of a matched individual, the display name or user portion of a SIP address, or `NULL` otherwise.

[nullable]

### calls_best_match_get_avatar ()

    GdkTexture *
    calls_best_match_get_avatar (CallsBestMatch *self);

#### Parameters

self | A CallsBestMatch |

#### Returns

The avatar of a matched contact or `NULL` when there's no match.

[nullable]

### calls_best_match_get_primary_info ()

    const char *
    calls_best_match_get_primary_info (CallsBestMatch *self);

#### Parameters

self | A CallsBestMatch |

#### Returns

The contact description to be used for primary labels.

[transfer none]

### calls_best_match_get_secondary_info ()

    const char *
    calls_best_match_get_secondary_info (CallsBestMatch *self);

#### Parameters

self | A CallsBestMatch |

#### Returns

The contact description to be used for secondary labels.

[transfer none]

## Types and Values

### CALLS_TYPE_BEST_MATCH

    #define CALLS_TYPE_BEST_MATCH (calls_best_match_get_type ())

### CallsBestMatch

    typedef struct _CallsBestMatch CallsBestMatch;

## Property Details

### The `“avatar”` property

      “avatar”                   GdkTexture *

The avatar of the best match.

Owner: CallsBestMatch

Flags: Read

### The `“country-code”` property

      “country-code”             char *

The country code used for matching.

Owner: CallsBestMatch

Flags: Read / Write / Construct

Default value: NULL

### The `“has-individual”` property

      “has-individual”           gboolean

Whether a matching individual was found or not.

Owner: CallsBestMatch

Flags: Read

Default value: FALSE

### The `“name”` property

      “name”                     char *

The display name of the best match.

Owner: CallsBestMatch

Flags: Read

Default value: NULL

### The `“phone-number”` property

      “phone-number”             char *

The phone number of the best match.

Owner: CallsBestMatch

Flags: Read / Write

Default value: NULL

### The `“primary-info”` property

      “primary-info”             char *

Primary information to display.

Owner: CallsBestMatch

Flags: Read

Default value: NULL

### The `“secondary-info”` property

      “secondary-info”           char *

Secondary information to display.

Owner: CallsBestMatch

Flags: Read

Default value: NULL